<?php
#
# Muestra una tabla con enlaces de todas las solicitudes de certificado 
# recibidas. Dichos enlaces nos enviaran a una pagina donde podremos consultar,
# aceptar o eliminar la solicitud
#

include 'core.php';

session_start();

cabecera (0);

echo "<h1>Lista de certificados v&aacute;lidos en $pkiName CA</h1><br/>\n";

# Nos traemos el numero copa, el identificador y la fecha unicamente de 
# los certificados validos, es decir, los que esten emitidos (issued).
$filter = "(&(objectClass=pkirisCertificate)(pkirisStatus=issued))";
$justthese = array ("pkiriscopaid", "pkirisid", "pkirisdate","pkiriscerttype");

$result = ldap_get_info ($base, $filter, $justthese);

$j=0;

if ($result["count"] == 0) {
   echo "<h2> No hay ning&uacute;n certificado firmado </h2>";
}
   
else { // Se muestra el codigo, identificador, fecha y tipo de todas las solicitudes           
   echo "<table border='0' cellpadding='0' cellspacing='0'>
   <tr><td class='header'>C&oacute;digo de Solicitud</td><td class='header'>Identificador pkIRIS</td><td class='header'>Fecha evento</td><td class='header'>Tipo</td></tr>\n";
   for($i = 0; $i < $result["count"]; $i++) {
      $copa = $result[$i]["pkiriscopaid"][0];
      // Quitamos la @ al identificador del usuario por razones de privacidad
      $ident = $result[$i]["pkirisid"][0];     
      $anio = substr($result[$i]["pkirisdate"][0], 0, 4); 
      $mes = substr($result[$i]["pkirisdate"][0], 4, 2); 
      $dia = substr($result[$i]["pkirisdate"][0], 6, 2); 
      $hora = substr($result[$i]["pkirisdate"][0], 8, 2); 
      $minuto = substr($result[$i]["pkirisdate"][0], 10, 2); 
      $segundo = substr($result[$i]["pkirisdate"][0], 12, 2); 
      $fecha = $dia."/".$mes."/".$anio." - ".$hora.":".$minuto.":".$segundo;
      $crt_type = $result[$i]["pkiriscerttype"][0];
      // Ponemos el tipo de certificado de una forma mas legible
      if ($crt_type == "usr") {
      	 $crt_type = "usuario";
	 list ($ident, $kk) = split ("@",$ident);
	 $ident = $ident . " ...";
      }
      else {
      	 $crt_type = "servicio / servidor";
      }
      if ($j%2==0) {		 
         echo "<tr>
	 <td class='even'>$copa</td>
	 <td class='even'>$ident</td>
	 <td class='even'>$fecha</td>
	 <td class='even'>$crt_type</td>
	 </tr>\n";
	 $j++;
      }
      else {
         echo "<tr>
	 <td class='odd'>$copa</td>
	 <td class='odd'>$ident</td>
	 <td class='odd'>$fecha</td>
	 <td class='odd'>$crt_type</td>
	 </tr>\n";
	 $j++;
      }
   }
   echo "</table>\n";
}

pie ();

?>

