<?php
// Muestra una tabla con enlaces de todas las solicitudes de
// certificado recibidas. Dichos enlaces nos enviaran a una
// pagina donde podremos consultar, aceptar o eliminar la solicitud

include '../../core.php';

checkAuth($raUrl);

cabecera (2);

$STATUS = !isset($HTTP_POST_VARS['csr_status']) ? "new" : $HTTP_POST_VARS['csr_status'];

$dFromDD = $HTTP_POST_VARS['dFromDD'];
$dFromMM = $HTTP_POST_VARS['dFromMM'];
$dFromYYYY = $HTTP_POST_VARS['dFromYYYY'];

$dToDD = (!isset($HTTP_POST_VARS['dToDD']) ?  "31" : $HTTP_POST_VARS['dToDD']);
$dToMM = (!isset($HTTP_POST_VARS['dToMM']) ?  "12" : $HTTP_POST_VARS['dToMM']);
$dToYYYY = (!isset($HTTP_POST_VARS['dToYYYY']) ?  $def['dToYYYY'] : $HTTP_POST_VARS['dToYYYY']);

echo "<h1>Consulta de Certificados</h1>
<div id='tbox'>
  <h3 class='head_a3b1'>Datos de Consulta</h3>
    <div id='tbox_data_a1'>
    <form method='post' name='fecha_tipo' action='cert_search.php'>
    <div id='trow'>
       <div id='tname'>Tipo</div>\n";
	      
//-- Selección del estado

echo "<div id='tvalue'>
<select class='form_select' name='csr_status'>";

foreach ($aStatus as $aVal => $bVal) {
   if ($aVal == $STATUS) {
      echo "<option value='$aVal' selected>$bVal</option>\n"; 
   }
   else {
      echo "<option value='$aVal'>$bVal</option>\n";
   }
}

echo "</select>
</div>
</div>
<div id='trow'>
   <div id='tname'>Fecha desde</div>\n";

//-- Selección de día desde

echo "<div id='tvalue'>
<select class='form_select' name='dFromDD'>\n";

for ($i=1; $i<=31; $i++) {
   $ind = sprintf('%02s', $i);
   if ($i == $dFromDD) {
      echo "<option value='$ind' selected>$i</option>\n";
   }
   else	{
      echo "<option value='$ind'>$i</option>\n";
   }
}

echo " </select>\n";

//-- Selección de mes desde

echo " <select class='form_select' name='dFromMM'>\n";

for ($i=1; $i<=12; $i++) {
   $ind = sprintf('%02s', $i);
   if ($i == $dFromMM) {
      echo "<option value='$ind' selected>$i</option>\n";
   }
   else {
      echo "<option value='$ind'>$i</option>\n";
   }
}

echo " </select>\n";

//-- Selección de año desde

echo " <select class='form_select' name='dFromYYYY'>\n";
for ($i=$def['dFromYYYY']; $i<=$def['dToYYYY']; $i++) {
   if ($i == $dFromYYYY) {
      echo "<option value='$i' selected>$i</option>\n";
   }
   else {
      echo "<option value='$i'>$i</option>\n";
   }
}

echo " </select>
</div>
</div>
<div id='trow'>
   <div id='tname'>Fecha hasta</div>\n";
	
//-- Selección de día hasta

echo "<div id='tvalue'>
<select class='form_select' name='dToDD'>\n";
for ($i=1; $i<=31; $i++) {
   $ind = sprintf('%02s', $i);
   if ($i == $dToDD) {
      echo "<option value='$ind' selected>$i</option>\n";
   }
   else {
      echo "<option value='$ind'>$i</option>\n";
   }
}
echo " </select>\n";

//-- Selección de mes hasta

echo "<select class='form_select' name='dToMM'>\n";
for ($i=1; $i<=12; $i++) {
   $ind = sprintf('%02s', $i);
   if ($i == $dToMM) {
      echo "<option value='$ind' selected>$i</option>\n";
   }
   else {
      echo "<option value='$ind'>$i</option>\n";
   }
}

echo " </select>";

//-- Selección de año hasta

echo " <select class='form_select' name='dToYYYY'>\n";
for ($i=$def['dFromYYYY']; $i<=$def['dToYYYY']; $i++) {
   if ($i == $dToYYYY) {
      echo "<option value='$i' selected>$i</option>\n";
   }
   else {
      echo "<option value='$i'>$i</option>\n";
   }
}
echo " </select>
</div>
</div>
<div id='trow'>
   <div id='tvalue'>
      <input class='button' type='submit' value='Continuar'>
   </div>
</div>
</form>
</div> <!-- tbox_data_a1 -->
</div> <!-- tbox -->\n";



$dFrom = $dFromYYYY.$dFromMM.$dFromDD."010101";

$dTo = $dToYYYY.$dToMM.$dToDD."235959";

$filter="(&(objectClass=pkirisCertificate)(pkirisStatus=$STATUS)(pkirisCopaId=$raNum*)(pkirisDate>=$dFrom)(pkirisDate<=$dTo))";

$justthese = array("pkirisCopaID","pkirisID","pkirisDate","pkirisCertType");

$rs = ldap_get_info($base, $filter, $justthese);

if ($rs["count"] == 0) {
   echo "<h3>No hay resultados para su consulta</h3>
   <p>No se ha encontrado ning&uacute;n certificado o solicitud de certificado que coincida con los requisitos de b&uacute;squeda.</p>\n";
}
else {
   echo "<h2>Resultado de su consulta</h2>
   <p>
   <table class='csr_search_table' border='1' cellpadding='2' cellspacing='0'>
   <tr>
   <th>C&oacute;digo de solicitud</th>
   <th>Identificador pkIRIS</th>
   <th>Fecha evento</th>
   <th>Tipo</th>
   </tr>\n";
										       
   for($i=0;$i<count($rs)-1;$i++) {
      $pkirisid = $rs[$i]['pkirisid'][0];
      $pkiriscopaid = $rs[$i]['pkiriscopaid'][0];
      $pkirisdate = $rs[$i]['pkirisdate'][0];
      $pkiriscerttype = $rs[$i]['pkiriscerttype'][0];
      
      //Ponemos la fecha en el formato correspondiente
      ereg ("(....)(..)(..)(..)(..)(..)", $pkirisdate, $r);
      list ($kk, $dY, $dM, $dD, $dH, $dm, $dS) = $r;
      $date = $dD."/".$dM."/".$dY." - ".$dH.":".$dm.":".$dS;

      echo"<tr>\n";

      switch ($STATUS) {
         case "new":
            echo "<td><a href='csr_manage.php?copa=$pkiriscopaid?$pkirisid?$date'>$pkiriscopaid</td>\n";
            break;
         case "renew":
            echo "<td><a href='csr_manage.php?copa=$pkiriscopaid?$pkirisid?$date'>$pkiriscopaid</td>\n";
         break;					    
	 case "approved":
	    echo "<td><a href='csr_manage.php?copa=$pkiriscopaid?$pkirisid?$date'>$pkiriscopaid</td>\n";
	    break;
         case "issued":
            echo "<td><a href= '". $raPublicDir ." crt_get.php'>$pkiriscopaid</td>\n";
            break;
         default:
            echo "<td>$pkiriscopaid</td>\n";
      }
      
      echo "<td>$pkirisid</td>
      <td>$date</td>
      <td>$pkiriscerttype</td>
      </tr>\n";
   }
   echo "</table>\n";
}

pie ();

?>
